%form: kiban_ab_form_10.tex ; user: kiban_ab_10_past_funds.tex
%========== S-1-7 基盤研究(A,B)(一般) =========
%===== p. 10 これまでに受けた研究費とその成果等 =============
\section{これまでに受けた研究費とその成果等}
\newcommand{\今年度までの研究経過}{%
%begin  これまでに受けた研究費とその成果等　＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝
	\begin{itemize}
	\item Artho: 基盤研究(A)(一般)、2011-2015年度、「クラウドコンピューティングミドルウェアのソフトウェアモデル検査手法」、研究分担者分、分担者分 2,500 千円

	One of the subgoals defined in this project is the development
	of a test case generation tool for cloud computing software. In
	particular, the idea is to handle complex server systems where
	many clients can interact with the server.

	Our test tool Modbat was developed for that purpose. It has been
	successfully used on networked software and on the Java library, results of which were
	published at ASE 2013 and ASE 2015, one of the top conferences in the field.
	This project provides a natural continuation of the previous project.

	\hrulefill %------------------------------- (この上下に空行をいれること)----------

	\item Kitamura, Artho: A-Step project:%
「テスト技法 FOT の支 援ツール開発、 技法の 拡充、及び実証実験に よる実用化研究」

        Kitamura: 研究代表者 (総額 5,366 千円).\\
        Artho: 研究分担者、分担者分 200 千円.

	This project was
	awarded to AIST in collaboration with CATS (in Yokohama) and
	Omron (Kyoto). Its goal is to develop a graphical modeling
	tool for feature trees, an efficient test parameter generator
	using SAT solvers, and to evaluate the resulting tool on industrial
	test requirements.

	On the technical side, the focus of this work is to produce
	a nearly-optimal solution within 10 minutes to one hour. In this
	proposal, we want to produce an approximation in a much shorter time.
	
	\item Kitamura: Johannes Kepler University (JKU) Fellowship, 2014, 2,500 Euro.

	This fellowship has been awarded to Kitamura for joint work on integrating
	SAT solving technologies to generate configurations for software
	product lines. Existing technologies do not use an optimal encoding
	and integration of SAT solvers; this fellowship investigated the
	use of newer algorithms. A prototype tool implementation using such
	new algorithms was developed by Kitamura during this visit;
	the tool shows a potential of vastly improving
	performance over existing approaches.

	\item Artho: Johannes Kepler University (JKU) Fellowship, 2012, 2,800 Euro.

	This fellowship has been awarded to investigate opportunities for
	future joint work between AIST and JKU, in particular on the tool
	Modbat. During the research visit in September 2012, many enhancements
	for Modbat were discussed and later implemented. Evaluations
	were carried out on plans for experiments that were also devised
	during that visit. The results from this collaboration were published
	at the Haifa Verification Conference in 2013.
	\end{itemize}
%end  これまでに受けた研究費とその成果等　＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝＝
}

%====== end of page =====================================
